StarPU Internal Handbook

Data Structures | Macros | Functions
driver_mic_common.h File Reference
`#include <common/config.h>`
`#include <source/COIProcess_source.h>`

Go to the source code of this file.

## Data Structures
struct | _starpu_mic_free_command

## Macros
#define | STARPU_TO_MIC_ID(id)
#define | STARPU_MIC_PORTS_BEGIN
#define | STARPU_MIC_SOURCE_PORT_NUMBER
#define | STARPU_MIC_SINK_PORT_NUMBER(id)
#define | STARPU_MIC_SOURCE_DT_PORT_NUMBER
#define | STARPU_MIC_SINK_DT_PORT_NUMBER(id)
#define | STARPU_MIC_SINK_SINK_DT_PORT_NUMBER(me, peer_id)
#define | STARPU_MIC_PAGE_SIZE
#define | STARPU_MIC_GET_PAGE_SIZE_MULTIPLE(size)
#define | STARPU_MIC_COMMON_REPORT_SCIF_ERROR(status)

## Functions
void | _starpu_mic_common_report_scif_error (const char *func, const char *file, int line, const int status)
int | _starpu_mic_common_recv_is_ready (const struct _starpu_mp_node *mp_node)
void | _starpu_mic_common_send (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mic_common_recv (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mic_common_dt_send (const struct _starpu_mp_node *node, void *msg, int len, void *event)
void | _starpu_mic_common_dt_recv (const struct _starpu_mp_node *node, void *msg, int len, void *event)
void | _starpu_mic_common_connect (scif_epd_t *endpoint, uint16_t remote_node, COIPROCESS process, uint16_t local_port_number, uint16_t remote_port_number)
void | _starpu_mic_common_accept (scif_epd_t *endpoint, uint16_t port_number)

## Data Structure Documentation

## ◆ _starpu_mic_free_command

struct _starpu_mic_free_command

Data Fields
void * | addr |
size_t | size |